fitness::HardwareHealth_1_0_1::Failure Struct Reference

Hardware Failure. More...

`import"HardwareHealth.idl";`

## Public Attributes

int | creationOrderId
| failures created later have a larger id; range 1..failure-count
string | componentId
| the ID of the affected hardware component
int | type
| one of the hardware failure type constants
string | description
| human readable string describing HW component and failure
boolean | isAsserted
| `true` when the failure is currently asserted
time | lastAssertTimeStamp
| timestamp when the failure was last asserted
time | lastDeassertTimeStamp
| timestamp when the failure was last deasserted (0 if asserted)
int | assertCount
| count of assertions

## Detailed Description

Hardware Failure.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/HardwareHealth.idl